﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Text;
using System.Web;
using System.Web.Mvc;

namespace MVCWebApp.Controllers
{
    public class DefaultController : Controller
    {
        // GET: Default
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Index(List<HttpPostedFileBase> files)
        {
            try
            {
                if (files == null || files.Count == 0 || files[0] == null)
                {
                    ViewBag.message = "Please select files to upload";
                }
                else
                {
                    StringBuilder sbFiles = new StringBuilder();
                    sbFiles.Append("Uploaded Files:");
                    foreach (var file in files)
                    {
                        if (file != null)
                        {
                            string fileName = "file-" + Guid.NewGuid() + "-" + DateTime.Now.ToString("ddMMyyyyHHmmss") + Path.GetExtension(file.FileName);
                            string filePath = Path.Combine(Server.MapPath("~/UploadedFiles/") + fileName);
                            file.SaveAs(filePath);
                            sbFiles.Append("<br/><a href='/UploadedFiles/" + fileName + "' target='_blank'>" + fileName + "</a>");
                        }
                    }

                    ViewBag.message = sbFiles.ToString();

                }
            }
            catch (Exception ex)
            {
                ViewBag.message = "Error occurred. Error:" + ex.Message.ToString();
            }
            return View();
        }


    }
}